﻿using System.Collections.Generic;

namespace FNZCM.ConHost.Ver0
{
    internal class Library
    {
        public Library(string name, string pathName, IReadOnlyCollection<Album> albums)
        {
            Name = name;
            PathName = pathName;
            Albums = albums;
        }

        public string Name { get; }
        public string PathName { get; }
        public IReadOnlyCollection<Album> Albums { get; }
    }

    internal class Album
    {
        public Album(string name, string pathName,
            IReadOnlyList<string> tracks,
            IReadOnlyList<string> trackPaths,
            IReadOnlyCollection<string> bks
        )
        {
            Tracks = tracks;
            Bks = bks;
            TrackPaths = trackPaths;
            Name = name;
            PathName = pathName;
        }

        public IReadOnlyList<string> Tracks { get; }
        public IReadOnlyList<string> TrackPaths { get; }
        public IReadOnlyCollection<string> Bks { get; }

        public string Name { get; }
        public string PathName { get; }
    }

    internal class MediaTag
    {
        public MediaTag(string title, int duration)
        {
            Title = title;
            Duration = duration;
        }

        public string Title { get; }
        public int Duration { get; }
    }
}
